Grand Magister Devon:
The Shillien Oracle is a celebrant of darkness who fulfills the oracular prophecies of Shilen by studying darkness and death spawned by Shilen and the spirits of destruction and chaos that serve her. Unlike Human and Elven priests, who look to the gods of light, the Shillien Oracle understands the truth of both light and darkness, and not only can heal companions with white magic and supplementary magic, but can also curse opponents or steal their energy by means of black magic.
The most spiritually advanced Shillien Oracles are chosen as Shillien Elders. The Shillien Elder is our spiritual leader, and understands the divine natures of Shilen and Gran Kain better than anyone else.
To become a Shillien Oracle, you must pass the test and bring back the orb of abyss.
Ask about the orb of abyss
Return